From ed5ee6e0c4c990e5db391cccc4a6b09f797fe114 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Wed, 16 Nov 2022 12:26:45 +0100
Subject: [PATCH v25 6/9] fixup! change ConcatRTEPermissionInfoLists API

---
 src/backend/rewrite/rewriteManip.c | 12 +++++++-----
 src/include/rewrite/rewriteManip.h |  2 +-
 2 files changed, 8 insertions(+), 6 deletions(-)

diff --git a/src/backend/rewrite/rewriteManip.c b/src/backend/rewrite/rewriteManip.c
index 9208e8760d..651d6540f8 100644
--- a/src/backend/rewrite/rewriteManip.c
+++ b/src/backend/rewrite/rewriteManip.c
@@ -1534,19 +1534,19 @@ ReplaceVarsFromTargetList(Node *node,
 
 /*
  * ConcatRTEPermissionInfoLists
- * 		Add RTEPermissionInfos found in src_rtepermlist into *dest_rtepermlist
+ * 		Add RTEPermissionInfos found in src_rtepermlist into dest_rtepermlist
  *
  * Also updates perminfoindex of the RTEs in src_rtable to point to the
  * "source" perminfos after they have been added into *dest_rtepermlist.
  */
-void
-ConcatRTEPermissionInfoLists(List **dest_rtepermlist, List *src_rtepermlist,
+List *
+ConcatRTEPermissionInfoLists(List *dest_rtepermlist, List *src_rtepermlist,
 							 List *src_rtable)
 {
 	ListCell   *l;
-	int			offset = list_length(*dest_rtepermlist);
+	int			offset = list_length(dest_rtepermlist);
 
-	*dest_rtepermlist = list_concat(*dest_rtepermlist, src_rtepermlist);
+	dest_rtepermlist = list_concat(dest_rtepermlist, src_rtepermlist);
 
 	foreach(l, src_rtable)
 	{
@@ -1555,4 +1555,6 @@ ConcatRTEPermissionInfoLists(List **dest_rtepermlist, List *src_rtepermlist,
 		if (rte->perminfoindex > 0)
 			rte->perminfoindex += offset;
 	}
+
+	return dest_rtepermlist;
 }
diff --git a/src/include/rewrite/rewriteManip.h b/src/include/rewrite/rewriteManip.h
index 0379dd9673..c32bee4634 100644
--- a/src/include/rewrite/rewriteManip.h
+++ b/src/include/rewrite/rewriteManip.h
@@ -83,7 +83,7 @@ extern Node *ReplaceVarsFromTargetList(Node *node,
 									   ReplaceVarsNoMatchOption nomatch_option,
 									   int nomatch_varno,
 									   bool *outer_hasSubLinks);
-extern void ConcatRTEPermissionInfoLists(List **dest_rtepermlist, List *src_rtepermlist,
+extern List *ConcatRTEPermissionInfoLists(List *dest_rtepermlist, List *src_rtepermlist,
 							 List *src_rtable);
 
 #endif							/* REWRITEMANIP_H */
-- 
2.30.2

